gnutls_openpgp_key_get_name(3)

NAME
gnutls_openpgp_key_get_name - Extracts the userID

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_key_get_name(gnutls_openpgp_key_t key, int idx, char * buf, size_t * sizeof_buf);

ARGUMENTS

gnutls_openpgp_key_t key
    the structure that contains the OpenPGP public key.

int idx
    the index of the ID to extract

char * buf
    a pointer to a structure to hold the name

size_t * sizeof_buf
    holds the maximum size of buf, on return hold the actual/required size of buf.

DESCRIPTION
Extracts the userID from the parsed OpenPGP key. Returns 0 on success, and GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the index of the ID does not exist.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.